## org.eclipse.jst.jsf.common.metadata
Interface Model

All Superinterfaces:
  Entity

    public interface Model

extends Entity

A representation of the model object 'Model'.

Provisional API - subject to change

The following features are supported:

- `Entity Groups`
- `Source Model Provider`
- `Current Model Context`

See Also:
  `MetadataPackage.getModel()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`void` `accept(IEntityVisitor visitor)`
`EntityGroup` `findIncludeGroup(java.lang.String groupId)`
`org.eclipse.jst.jsf.common.metadata.internal.ModelKeyDescriptor` `getCurrentModelContext()` Deprecated. - Helios
`EList` `getEntityGroups()` Returns the value of the 'Entity Groups' reference list.
`org.eclipse.jst.jsf.common.metadata.internal.IMetaDataSourceModelProvider` `getSourceModelProvider()` Returns the value of the 'Source Model Provider' attribute
`void` `setCurrentModelContext(org.eclipse.jst.jsf.common.metadata.internal.ModelKeyDescriptor value)` Deprecated. - Helios
`void` `setSourceModelProvider(org.eclipse.jst.jsf.common.metadata.internal.IMetaDataSourceModelProvider value)` Sets the value of the '`Source Model Provider`' attribute

Methods inherited from interface org.eclipse.jst.jsf.common.metadata.Entity
`getChildEntities, getId, getIncludeGroups, getModel, getTraits, getType, setId, setType`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getSourceModelProvider

    org.eclipse.jst.jsf.common.metadata.internal.IMetaDataSourceModelProvider getSourceModelProvider()

  Returns the value of the 'Source Model Provider' attribute.

  If the meaning of the 'Source Model Provider' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Source Model Provider' attribute.
  See Also:
    `setSourceModelProvider(IMetaDataSourceModelProvider)`, `MetadataPackage.getModel_SourceModelProvider()`

### setSourceModelProvider

    void setSourceModelProvider(org.eclipse.jst.jsf.common.metadata.internal.IMetaDataSourceModelProvider value)

  Sets the value of the '`Source Model Provider`' attribute.

  Parameters:
    `value` - the new value of the 'Source Model Provider' attribute.
  See Also:
    `getSourceModelProvider()`

### getCurrentModelContext

    org.eclipse.jst.jsf.common.metadata.internal.ModelKeyDescriptor getCurrentModelContext()

  Deprecated. - Helios

  Returns the value of the 'Current Model Context' attribute.

  If the meaning of the 'Current Model Context' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Current Model Context' attribute.
  See Also:
    `setCurrentModelContext(ModelKeyDescriptor)`, `MetadataPackage.getModel_CurrentModelContext()`

### setCurrentModelContext

    void setCurrentModelContext(org.eclipse.jst.jsf.common.metadata.internal.ModelKeyDescriptor value)

  Deprecated. - Helios

  Sets the value of the '`Current Model Context`' attribute.

  Parameters:
    `value` - the new value of the 'Current Model Context' attribute.
  See Also:
    `getCurrentModelContext()`

### getEntityGroups

    EList getEntityGroups()

  Returns the value of the 'Entity Groups' reference list. The list contents are of type `EntityGroup`.

  If the meaning of the 'Entity Groups' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Entity Groups' reference list.
  See Also:
    `MetadataPackage.getModel_EntityGroups()`

### findIncludeGroup

    EntityGroup findIncludeGroup(java.lang.String groupId)

  Parameters:
    `groupId` -
  Returns:
    EntityGroup

### accept

    void accept(IEntityVisitor visitor)

  Specified by:
    `accept` in interface `Entity`
  Parameters:
    `visitor` -